Open CASCADE Technology: AppParCurves_Array1OfConstraintCouple Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AppParCurves_Array1OfConstraintCouple Class Reference

`#include <AppParCurves_Array1OfConstraintCouple.hxx>`

## Public Member Functions
| AppParCurves_Array1OfConstraintCouple (const Standard_Integer Low, const Standard_Integer Up)
| AppParCurves_Array1OfConstraintCouple (const AppParCurves_ConstraintCouple &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const AppParCurves_ConstraintCouple &V)
void | Destroy ()
| ~AppParCurves_Array1OfConstraintCouple ()
Standard_Boolean | IsAllocated () const
const AppParCurves_Array1OfConstraintCouple & | Assign (const AppParCurves_Array1OfConstraintCouple &Other)
const AppParCurves_Array1OfConstraintCouple & | operator= (const AppParCurves_Array1OfConstraintCouple &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const AppParCurves_ConstraintCouple &Value)
const AppParCurves_ConstraintCouple & | Value (const Standard_Integer Index) const
const AppParCurves_ConstraintCouple & | operator() (const Standard_Integer Index) const
AppParCurves_ConstraintCouple & | ChangeValue (const Standard_Integer Index)
AppParCurves_ConstraintCouple & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

AppParCurves_Array1OfConstraintCouple::AppParCurves_Array1OfConstraintCouple | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

AppParCurves_Array1OfConstraintCouple::AppParCurves_Array1OfConstraintCouple | ( | const AppParCurves_ConstraintCouple & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

AppParCurves_Array1OfConstraintCouple::~AppParCurves_Array1OfConstraintCouple | ( |  | ) |
| inline

## Member Function Documentation

const AppParCurves_Array1OfConstraintCouple& AppParCurves_Array1OfConstraintCouple::Assign | ( | const AppParCurves_Array1OfConstraintCouple & | Other | ) |

AppParCurves_ConstraintCouple& AppParCurves_Array1OfConstraintCouple::ChangeValue | ( | const Standard_Integer | Index | ) |

void AppParCurves_Array1OfConstraintCouple::Destroy | ( |  | ) |

void AppParCurves_Array1OfConstraintCouple::Init | ( | const AppParCurves_ConstraintCouple & | V | ) |

Standard_Boolean AppParCurves_Array1OfConstraintCouple::IsAllocated | ( |  | ) | const

Standard_Integer AppParCurves_Array1OfConstraintCouple::Length | ( |  | ) | const

Standard_Integer AppParCurves_Array1OfConstraintCouple::Lower | ( |  | ) | const

const AppParCurves_ConstraintCouple& AppParCurves_Array1OfConstraintCouple::operator() | ( | const Standard_Integer | Index | ) | const
| inline

AppParCurves_ConstraintCouple& AppParCurves_Array1OfConstraintCouple::operator() | ( | const Standard_Integer | Index | ) |
| inline

const AppParCurves_Array1OfConstraintCouple& AppParCurves_Array1OfConstraintCouple::operator= | ( | const AppParCurves_Array1OfConstraintCouple & | Other | ) |
| inline

void AppParCurves_Array1OfConstraintCouple::SetValue | ( | const Standard_Integer | Index,
|  | const AppParCurves_ConstraintCouple & | Value
| ) |  |

Standard_Integer AppParCurves_Array1OfConstraintCouple::Upper | ( |  | ) | const

const AppParCurves_ConstraintCouple& AppParCurves_Array1OfConstraintCouple::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- AppParCurves_Array1OfConstraintCouple.hxx